Kerbal Space Program - Bug #14072

Disappearing craft after atmospheric decouple
03/08/2017 05:31 PM - thorought

Status: Acknowledged Start date: 03/08/2017
Severity: Normal % Done: 100%
Assignee:

Category: Gameplay

Target version:

Version: 1.2.2 Language: English (US)
Platform: Windows Mod Related: No
Expansion:

Description

After decoupling a probe (unmanned rover) in atmospheric flight, the craft not focussed disappears from the game upon reaching 25
km distance.

Steps to Replicate:

1) Launch any spaceplane with any probe + parachute attached by radial decoupler + structural element (i.e. cubic strut).
2) Decouple the probe in flight.

3) Switch focus to probe to arm parachute (so the probe isn't destroyed by crashing).

4) Focus on either craft.

5) Wait.

Result: Craft not focussed disappears upon reaching 25km distance.
Fixes/Workarounds: found none so far.

Notes:

Eliminated factors:

- parts included (tested multiple cockpits, multiple radial decouplers, multiple probes, multiple structural elements)
- location (tried space center and near the south pole, issue persists)

- savegame (tried in a new game created for the purpose, issue persists)

- physics warp (tried with and without)

System info:

ksp version 1.2.2.1622, no mods
PC / Steam

(system info file included)

History

#1 - 03/11/2017 07:19 PM - AlffromKerbal

| can confirm this (or similiar) on Linux.

Once, my vessle already deployed parachutes (<1000m) and made the pilot do EVA. The Kerbal couldn't hold on the vessel and fell down into water.
After the Kerbal "crashed" on water (and died, i canceled crash message), i wanted to switch back to the vessel (with Kerbals but no pilot), but it was
gone.

Actually it doesn't seem possible to land a not controlable vessle when it isn't focused. | didn't try having a controlable vessel unfocused, to land
passivly.

| cannot provide savegame, i just reloaded savegame, didn't do EVA and played on.

#2 - 06/24/2017 09:10 PM - bewing
- Status changed from New to Acknowledged

- % Done changed from 0 to 100

That's right. In stock KSP, ships in atmosphere are assumed to have crashed if you do not have control of them (outside physics range).
If you want to keep them alive, you need a mod.
